# User-Defined Macros:
# %%define <name> <expansion>
%define Name		php-dbg-client
%define Version		2.10
%define Release		6

%define client		php-dbg-client-2.10


Summary: PHP debugger
Name: %{Name}
Version: %{Version}
Release: %{Release}
Copyright: The DBG License, version 1.10
Group: Development/Debuggers
URL: http://dd.cron.ru/dbg/
BuildRequires: php-dbg-base >= 2.10-4
Requires: php-dbg-base
Requires: php-dbg-server


# The only one and true src
Source0: php-dbg-client-2.10.tar.gz

# Original tarball. Included here for licencing reasons
Source1: dbg-2.10rc2.linux.tar.gz

Patch0: dbg-client-pathnames.patch
Patch1: php-dbg-client-2.10-AutoXXX-C++-fixup.patch
Patch2: php-dbg-client-2.10-LSB-pathname-fixup.patch

BuildRoot: %{_tmppath}/%{Name}-%{Version}-%{Release}-root


%description
The DBG Php Debugger is a comprehensive software tool that helps
you debugging your php scripts. It may work with your production or
development WEB server remotely or locally. This package provides
the development libraries needed for the building of the debugger.


%prep
%setup -c %{Name}-%{Version} -a0
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
#
# build php-dbg-client
#
pushd .
cd %{client}
libtoolize --copy --force
aclocal -I .
automake --add-missing
autoconf
%configure \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir} \
	--with-dbgbase=/usr
	
make
popd .


%install
pushd .
cd %{client}
make DESTDIR="${RPM_BUILD_ROOT}" install
popd


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%attr(-   ,root,root) %doc %{client}/AUTHORS %{client}/ChangeLog
%attr(-   ,root,root) %doc %{client}/COPYING %{client}/INSTALL
%attr(-	  ,root,root) %doc %{client}/README
%attr(0755,root,root) %{_bindir}/*


%changelog

* Wed Sep 3 2002 Philip Copeland <bryce@redhat.com> 2.10-4
- Rebuilt for php dropping ZTS (base libs changed)

* Sun Aug 11 2002 Elliot Lee <sopwith@redhat.com> 2.10-5
- Rebuild for C++

* Wed Jul 31 2002 Philip Copeland <bryce@redhat.com> 2.10-4
- For the LSB enviroment, changed the default maplocalport
  and mapremoteport to /var/www/html
- Humm 'list' doesn't appear to work.. wonder whats wrong
  with it

* Tue Jun 23 2002 Philip Copeland <bryce@redhat.com> 2.10-3
- ARGHHH! The new g++ exposes a lot of vector/pointer
  breakage that was hidden in earlier g++ implementations
- Humm. Ok, ditched the automake cruft and rewrote it from
  scratch

* Thu May 27 2002 Philip Copeland <bryce@redhat.com> 2.10-2
- Had to shift the package name around for the
  release engineering folk.
- Added in Dmitri's excellent autoconf work that
  gets rid of the kde dependancies

* Sun May 27 2002 Philip Copeland <bryce@redhat.com> 2.10-1
- Initial attempt making dbg devel libs into an rpm
